@charset "utf-8";

[v-cloak] { opacity: 0; }
* { outline: none; }

/* 字體設定 */
body,
h1,
h2,
h3,
h4,
h5,
h6,
button {
    font-family: 'Microsoft JhengHei';
}


.off-canvas-wrapper { min-height: 100vh; }

button.button,
a.button {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
    padding: 0.765em;
    font-size: 1em;
    line-height: .9em;
    border: 0;
}
button.button.radius,
a.button.radius {
    border-radius: 2px;
}
.refresh:before {
    -webkit-animation: spin 1s infinite linear;
    animation: spin 1s infinite linear;
    display: inline-block;
    content: 'autorenew'!important;
    font-family: 'Material Icons'!important;
    margin-right: .25em;
    vertical-align: bottom;
    line-height: inherit;
    -webkit-font-smoothing: antialiased;
    text-rendering: optimizeLegibility;
    -moz-osx-font-smoothing: grayscale;
    font-feature-settings: 'liga';
}
[data-icon]:before {
    content: attr(data-icon);
    font-family: 'Material Icons';
    margin-right: .25em;
    vertical-align: bottom;
    font-size: inherit;
    line-height: inherit;
    /* Support for all WebKit browsers. */
    -webkit-font-smoothing: antialiased;
    /* Support for Safari and Chrome. */
    text-rendering: optimizeLegibility;
    /* Support for Firefox. */
    -moz-osx-font-smoothing: grayscale;
    /* Support for IE. */
    font-feature-settings: 'liga';
}
.nopad[data-icon]:before,
.icon-after.nopad[data-icon]:after {
    margin: 0;
}
.icon-after[data-icon]:before {
    content: none;
}
.icon-after[data-icon]:after {
    margin-left: .25em;
    content: attr(data-icon);
    font-family: 'Material Icons';
    vertical-align: bottom;
    font-size: inherit;
    line-height: inherit;
    /* Support for all WebKit browsers. */
    -webkit-font-smoothing: antialiased;
    /* Support for Safari and Chrome. */
    text-rendering: optimizeLegibility;
    /* Support for Firefox. */
    -moz-osx-font-smoothing: grayscale;
    /* Support for IE. */
    font-feature-settings: 'liga';
}

[data-fa-icon]:before {
    /*font-weight: 900;*/
    content: attr(data-fa-icon);
    font-family: 'Font Awesome 5 Free';
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    display: inline-block;
    font-style: normal;
    font-variant: normal;
    text-rendering: auto;
    line-height: 1;
}


.unseleteable {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
}
.text-ellipsis {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

input:checked+label>.switch-active {
    left: 18%;
}

.leftSideList>div {
    line-height: 2.5em;
    cursor: default;
    border-bottom: 1px dashed #F5F5F5;
}
.leftSideList>div.disabled { opacity: .7; }
.leftSideList>div > div { padding: 0 .25em; }
.leftSideList>div:not(.disabled):hover { background-color: #f9f9f9; }
.leftSideList>div.isActive { background-color: #E3F2FD; }


@-moz-keyframes spin {
    from { -moz-transform: rotate(0deg); }
    to { -moz-transform: rotate(360deg); }
}
@-webkit-keyframes spin {
    from { -webkit-transform: rotate(0deg); }
    to { -webkit-transform: rotate(360deg); }
}
@keyframes spin {
    from {transform:rotate(0deg);}
    to {transform:rotate(360deg);}
}
#pop_tip {
    position: fixed;
    right: 10em;
    bottom: 0;
    background-color: rgba(255, 153, 0, 0.88);
    color: #F5F5F5;
    transition: all .225s cubic-bezier(0.0, 0.0, 0.2, 1);
    opacity: 0;
    padding: 1em;
    min-height: 2em;
    min-width: 20em;
    z-index: -1
}
#pop_tip:before,
#pop_tip:hover:after {
    content: attr(data-icon);
    font-family: 'Material Icons';
    font-size: inherit;
    line-height: inherit;
    -webkit-font-smoothing: antialiased;
    text-rendering: optimizeLegibility;
    -moz-osx-font-smoothing: grayscale;
    font-feature-settings: 'liga';
}
#pop_tip:hover:after {
    content: '\e034';
    position: absolute;
    right: .75rem;
    bottom: .25rem;
}
#pop_tip:before {
    font-size: 2em;
    float: left;
    display: block;
    padding-right: 1rem;
    color: #FFF;
}
#pop_tip.warning:hover {
    background-color: #F90;
    color: #FFF;
}
#pop_tip.success { background-color: #83C743; }
#pop_tip.success:hover {
    background-color: #69a431;
    color: #FFF;
}
#pop_tip.alert { background-color: #fb7468; }
#pop_tip.alert:hover {
    background-color: #f93423;
    color: #FFF;
}
#pop_tip.secondary { background-color: #999; }
#pop_tip.secondary:hover {
    background-color: #888;
    color: #FFF;
}
.button,
.z-depth-1,
.switch-paddle {
  box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
  transition: all 0.3s cubic-bezier(.25,.8,.25,1);
}

.button.hollow { box-shadow: none; }

/*.z-depth-1:hover {
  box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22);
}*/

.z-depth-2 { box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23); }

.z-depth-3 { box-shadow: 0 10px 20px rgba(0,0,0,0.19), 0 6px 6px rgba(0,0,0,0.23); }

.z-depth-4 { box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22); }

.z-depth-5 { box-shadow: 0 19px 38px rgba(0,0,0,0.30), 0 15px 12px rgba(0,0,0,0.22); }

.StandardCurve {
    transition: all .3s cubic-bezier(0.4, 0.0, 0.2, 1);
}
.AccelerationCurve {
    transition: all .2s cubic-bezier(0.4, 0.0, 1, 1);
}
.DecelerationCurve {
    transition: all .3s cubic-bezier(0.0, 0.0, 0.2, 1);
}
.SharpCurve {
    transition: all .3s cubic-bezier(0.4, 0.0, 0.6, 1);
}
.text-indent-1 {
    text-indent: -1em;
    margin-left: 1em
}
.text-indent-2 {
    text-indent: -2em;
    margin-left: 2em
}
.text-indent-3 {
    text-indent: -3em;
    margin-left: 3em
}
.text-indent-4 {
    text-indent: -4em;
    margin-left: 4em
}
.text-indent-5 {
    text-indent: -5em;
    margin-left: 5em
}
.text-indent-6 {
    text-indent: -6em;
    margin-left: 6em
}
.text-indent-7 {
    text-indent: -7em;
    margin-left: 7em
}

.title-bar.fixed {
    z-index: 5;
    position: fixed;
    width: 100%;
    background-color: #333;
}

.title-bar,
.title-bar-left,
.title-bar-right {
    height: 3rem;
    padding: 0;
}
.title-bar-right { flex: 0 2 0; }
.title-bar-title {
    font-weight: 700;
    height: 3rem;
    line-height: 3rem;
}
.title-bar .offcanvasButton {
    margin-left: 0; 
    margin-right: 0; 
    width: 3rem;
    height: 3rem;
    line-height: 3rem;
    font-size: 1.5em;
    text-align: center;
    color: #FFF;
    display: block;
}
.title-bar .offcanvasButton:before { margin-right: 0; }
.position-right,
.position-left {
    transition: all 300ms cubic-bezier(0.0, 0.0, 0.2, 1);
    height: 100vh;
}
.position-left {
    max-width: 360px;
    width: 80vw;
    -webkit-transform: translateX(-80vw);
    -ms-transform: translateX(-80vw);
    transform: translateX(-80vw);
}
.position-right {
    max-width: 360px;
    width: 80vw;
    -webkit-transform: translateX(80vw);
    -ms-transform: translateX(80vw);
    transform: translateX(80vw);
}
.off-canvas.is-transition-overlap.is-open {
    transition: all 300ms cubic-bezier(0.4, 0.0, 0.6, 1);
    box-shadow: 0 19px 38px rgba(0,0,0,0.30), 0 15px 12px rgba(0,0,0,0.22);
    background-color: #FFF;
}

.title-bar.fixed + div { padding-top: 3rem; }
.js-off-canvas-overlay { background: rgba(0,0,0,.38); }
.button:focus,
.button:hover {
    outline: 0;
}

.tabsIndicator {
    position: absolute;
    bottom: 0;
    height: 2px;
    background-color: #000;
    left: 0;
    right: 1200px;
}


.leftSideMenu_Group {
    border-top: 1px solid #CACACA;
    padding: .5em 1em;
}
.leftSideMenu_Group:first-child { border-top:none; }
.leftSideMenu_Group .menu.nested { margin-left: 0; }
.leftSideMenu_Group ul li a {
    color: rgba(0, 0, 0, .87);
    padding: 0;
    line-height: 3rem;
}
.leftSideMenu_Group ul li a:before,
.leftSideMenu_Group ul li a > i.fa {
    margin-right: 2rem;
    color: rgba(0, 0, 0, .54);
}
.leftSideMenu_Group ul li a[data-icon]:before { font-size: 1.5em; }
.leftSideMenu_Group ul li a > i.fa {
    width: 1.5rem;
    text-align: center;
}
.leftSideMenu_Group .GroupTitle {
    line-height: 3rem;
    color: rgba(0, 0, 0, .54);
}
.leftSideMenu_Group form button[type="submit"] {
    text-decoration: none;
    display: block;
    line-height: 3rem;
    width: 100%;
    text-align: left;
}
.leftSideMenu_Group form button[type="submit"]:before {
    margin-right: 2rem;
    font-size: 1.5em;
    color: rgba(0, 0, 0, .54);
}


/* Google Design COLOR TOOL : Red 700 */
.off-canvas-wrapper.red .title-bar {
    background-color: #9a0007;
    box-shadow: 0 3px 6px rgba(0,0,0,0.08), 0 3px 6px rgba(0,0,0,0.15);
}
.off-canvas-wrapper.red #PersonCard { background-color: #1e88e5; }
.off-canvas-wrapper #PersonCard .avatar {
    height: 8rem;
    border-radius: 50%;
    padding-top: 1em;
    padding-bottom: 1em;
}
.off-canvas-wrapper #PersonCard .nickname {
    font-size: 1rem;
    margin-bottom: 0;
    color: #FFF;
    font-weight: bold;
}
.off-canvas-wrapper #PersonCard .email {
    font-size: .9rem;
    margin-bottom: 0;
    color: rgba(255, 255, 255, .87);
}
.time { font-family: 'Share Tech Mono', 'Microsoft JhengHei'; }
.amount,
.money {
    font-family: 'Roboto Mono', monospace;
}

/* Vue Modal */
.modal-mask {
    position: fixed;
    z-index: 9998;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .5);
    display: table;
    transition: opacity .3s ease;
}

.modal-wrapper {
    display: table-cell;
    vertical-align: middle;
}

.modal-container {
    width: 300px;
    margin: 0px auto;
    padding: 20px 30px;
    background-color: #fff;
    border-radius: 2px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, .33);
    transition: all .3s ease;
}

.modal-enter { opacity: 0; }

.modal-leave-active { opacity: 0; }

.modal-enter .modal-container,
.modal-leave-active .modal-container {
  -webkit-transform: scale(1.1);
  transform: scale(1.1);
}
/* Vue Modal END */

@media only screen and (max-width: 39.9375em) {
    #pop_tip {
        right: 5%;
        bottom: 0;
        padding: .5em;
        max-width: 90%;
        width: 90%;
    }
}